import { Router } from '@angular/router';
import { Observable } from 'rxjs/Observable';
export declare class OfflineCatch {
    router: Router;
    platformId: string;
    routeOffline: string;
    routeUnavailable: string;
    static instance: OfflineCatch;
    static catch<T>(): (source: Observable<T>) => Observable<T>;
    protected static catchCallback<T>(error: any, caught: Observable<T>): Observable<T>;
    constructor(router: Router, platformId: string, routeOffline?: string, routeUnavailable?: string);
}
export declare const catchOffline: typeof OfflineCatch.catch;
