import { CanActivate, CanActivateChild, CanLoad, Router } from '@angular/router';
export declare class OfflineGuard implements CanActivate, CanActivateChild, CanLoad {
    protected router: Router;
    protected platformId: string;
    routeOffline: string;
    guardsRedirect: boolean;
    constructor(router: Router, platformId: string, routeOffline?: string, guardsRedirect?: boolean);
    protected isOffline(): boolean;
    canActivate(): boolean;
    canActivateChild(): boolean;
    canLoad(): boolean;
}
